routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'FrontendController@index')->name('front.index');
Route::get('/projects', 'FrontendController@projects')->name('front.projects');
Route::get('/0/projects/{category}', 'FrontendController@projectsCategory')->name('project.category');
Route::get('/service/details/{title}', 'FrontendController@service')->name('service.details');
Route::get('/templates/{id}', 'FrontendController@templates')->name('templates');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('portfolio', 'PortfolioController');

Route::get('/category/index', 'AdminController@categories')->name('admin.categories');
Route::post('/category/store', 'AdminController@categorystore')->name('category.store');
Route::get('/category/delete/{id}', 'AdminController@categorydelete')->name('category.delete');
Route::get('/admin/templates', 'AdminController@templates')->name('admin.templates');
Route::post('/admin/templates/store', 'AdminController@templateStore')->name('template.store');
Route::get('/templates/delete/{id}', 'AdminController@templateDelete')->name('template.delete');
Route::get('/templates/extract/{id}', 'AdminController@templateExtract')->name('template.extract');

Route::get('/admin/payments', 'AdminController@payments')->name('admin.payments');

Route::get('/general/settings', 'GeneralSettingsController@generalsettings')->name('general.settings');
Route::post('/general/settings/store', 'GeneralSettingsController@generalstore')->name('general.store');

Route::get('/admin/leads', 'AdminController@leads')->name('admin.leads');

Route::get('/general/headings', 'GeneralSettingsController@headings')->name('general.headings');
Route::post('/general/headings/store', 'GeneralSettingsController@headingsstore')->name('headings.store');

Route::get('/general/services', 'GeneralSettingsController@services')->name('general.services');
Route::post('/general/services', 'GeneralSettingsController@servicesstore')->name('service.store');

Route::get('/general/about', 'GeneralSettingsController@about')->name('general.about');
Route::post('/about/store', 'GeneralSettingsController@aboutStore')->name('about.store');

Route::get('/general/team', 'GeneralSettingsController@team')->name('general.team');
Route::post('/team/store', 'GeneralSettingsController@teamStore')->name('team.store');

Route::get('/general/why', 'GeneralSettingsController@why')->name('general.why');
Route::post('/why/store', 'GeneralSettingsController@whyStore')->name('why.store');

Route::get('/general/prices', 'GeneralSettingsController@prices')->name('general.prices');
Route::post('/general/prices/store', 'GeneralSettingsController@pricesstore')->name('price.store');

Route::get('/general/testimonial', 'GeneralSettingsController@testimonial')->name('general.testimonial');
Route::get('/testimonial/create', 'GeneralSettingsController@testimonialcreate')->name('testimonial.create');
Route::get('/testimonial/delete/{id}', 'GeneralSettingsController@testimonialdelete')->name('testimonial.delete');
Route::post('/testimonial/store', 'GeneralSettingsController@testimonialstore')->name('testimonial.store');

Route::post('/front/leads', 'FrontendController@leads')->name('front.leads');

Route::get('/front/pay/{price}/{title}', 'FrontendController@pay')->name('front.pay');
Route::post('/front/payment', 'FrontendController@payment')->name('front.payment');

Route::get('/payment/success/{id}', 'FrontendController@paymentsuccess')->name('payment.success');

resources/views/layouts/dashboard/footer.blade.php
 <footer class="main-footer">
    <strong>Développé par <a href="https://ikaedigital.com/">Ikae Digital</a> 2021
        </strong>
    <div class="float-right d-none d-sm-inline-block">
        Mentions légales | Termes et conditions
    </div>
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="{{asset('assets/plugins/jquery/jquery.min.js')}}"></script>
<!-- jQuery UI 1.11.4 -->
<script src="{{asset('assets/plugins/jquery-ui/jquery-ui.min.js')}}"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<script src="{{asset('assets/plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<!-- daterangepicker -->

 <!-- Bootstrap4 Duallistbox -->
 <script src="{{asset('assets/plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js')}}"></script>

 <script src="{{asset('assets/plugins/select2/js/select2.full.min.js')}}"></script>

<script src="{{asset('assets/plugins/moment/moment.min.js')}}"></script>
 <script src="{{asset('assets/plugins/inputmask/jquery.inputmask.min.js')}}"></script>

<script src="{{asset('assets/plugins/daterangepicker/daterangepicker.js')}}"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="{{asset('assets/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js')}}"></script>
<!-- Summernote -->
<script src="{{asset('assets/plugins/summernote/summernote-bs4.min.js')}}"></script>
<!-- overlayScrollbars -->
<script src="{{asset('assets/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js')}}"></script>
<!-- DataTables  & Plugins -->
<script src="{{asset('assets/plugins/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js')}}"></script>
<script src="{{asset('assets/plugins/datatables-responsive/js/dataTables.responsive.min.js')}}"></script>
<script src="{{asset('assets/plugins/datatables-responsive/js/responsive.bootstrap4.min.js')}}"></script>
<script src="{{asset('assets/plugins/datatables-buttons/js/dataTables.buttons.min.js')}}"></script>
<script src="{{asset('assets/plugins/datatables-buttons/js/buttons.bootstrap4.min.js')}}"></script>
<script src="{{asset('assets/plugins/jszip/jszip.min.js')}}"></script>
<script src="{{asset('assets/plugins/pdfmake/pdfmake.min.js')}}"></script>
<script src="{{asset('assets/plugins/pdfmake/vfs_fonts.js')}}"></script>
<script src="{{asset('assets/plugins/datatables-buttons/js/buttons.html5.min.js')}}"></script>
<script src="{{asset('assets/plugins/datatables-buttons/js/buttons.print.min.js')}}"></script>
<script src="{{asset('assets/plugins/datatables-buttons/js/buttons.colVis.min.js')}}"></script>
<!-- AdminLTE App -->
<script src="{{asset('assets/dist/js/adminlte.js')}}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{asset('assets/dist/js/demo.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('assets/dist/js/pages/dashboard.js')}}"></script>

 <!-- dropzonejs -->
 <script src="{{asset('assets/plugins/dropzone/min/dropzone.min.js')}}"></script>
 <script src="{{asset('assets/plugins/fullcalendar/main.js')}}"></script>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
        @if(Session::has('messege'))
          var type="{{Session::get('alert-type','info')}}"
          switch(type){
              case 'info':
                   toastr.info("{{ Session::get('messege') }}");
                   break;
              case 'success':
                  toastr.success("{{ Session::get('messege') }}");
                  break;
              case 'warning':
                 toastr.warning("{{ Session::get('messege') }}");
                  break;
              case 'error':
                  toastr.error("{{ Session::get('messege') }}");
                  break;
          }
        @endif
     </script>

     <script>
         $(document).on("click", "#delete", function(e){
             e.preventDefault();
             var link = $(this).attr("href");
                swal({
                  title: "Voulez-vous supprimer?",
                  text: "Une fois supprimé, ce sera définitivement supprimé!",
                  icon: "warning",
                  buttons: true,
                  dangerMode: true,
                })
                .then((willDelete) => {
                  if (willDelete) {
                       window.location.href = link;
                  } else {
                    swal("Données sécurisées!");
                  }
                });
            });

    </script>

     <script>
  $(function () {
    $("#example1").DataTable({
        "language": {
            "sProcessing": "Traitement en cours ...",
            "sLengthMenu": "Spectacle _MENU_ entrées",
            // "sZeroRecords": "Aucun résultat trouvé",
            "sEmptyTable": "Aucune donnée disponible",
            // "sInfo": "Lignes _START_ à _END_ sur _TOTAL_",
            "sInfoEmpty": "Aucune ligne affichée",
            "sInfoFiltered": "(Filtrer un maximum de_MAX_)",
            "sInfoPostFix": "",
            "sSearch": "Rechercher:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Chargement...",
            "oPaginate": {
                "sFirst": "Premier", "sLast": "Dernier", "sNext": "Suivant", "sPrevious": "Précédent"
            },
            "oAria": {
                "sSortAscending": ": Trier par ordre croissant", "sSortDescending": ": Trier par ordre décroissant"
            }
        },
      "responsive": true, "lengthChange": true, "autoWidth": false,
      // "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });

  $('#reservationdatetime').datetimepicker({
      icons: { time: 'far fa-clock' },
      locale: 'fr'
  });
</script>
 <script>
     function goBack() {
         window.history.back();
     }
 </script>
 <script>
     $(function () {
         // Summernote
         $('#summernote').summernote({
             lang: 'fr'
         })

         // CodeMirror
         CodeMirror.fromTextArea(document.getElementById("codeMirrorDemo"), {
             mode: "htmlmixed",
             theme: "monokai"
         });
     })
     $(function () {
         // Summernote
         $('#summernote1').summernote()

         // CodeMirror
         CodeMirror.fromTextArea(document.getElementById("codeMirrorDemo"), {
             mode: "htmlmixed",
             theme: "monokai"
         });
     })
     $(function () {
         // Summernote
         $('#summernote2').summernote()

         // CodeMirror
         CodeMirror.fromTextArea(document.getElementById("codeMirrorDemo"), {
             mode: "htmlmixed",
             theme: "monokai"
         });
     })
     $(function () {
         // Summernote
         $('.summernote').summernote()

         // CodeMirror
         CodeMirror.fromTextArea(document.getElementById("codeMirrorDemo"), {
             mode: "htmlmixed",
             theme: "monokai"
         });
     })
 </script>
 <!-- Page specific script -->
 <script>
     $(function () {
         //Initialize Select2 Elements
         $('.select2').select2()

         //Initialize Select2 Elements
         $('.select2bs4').select2({
             theme: 'bootstrap4'
         })


     })
 </script>
 @yield('script')
</body>
</html>

resources/views/layouts/dashboard/header.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Tableau de bord</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('assets/plugins/fontawesome-free/css/all.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="{{asset('assets/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css')}}">
    <!-- Select2 -->
    <link rel="stylesheet" href="{{asset('assets/plugins/select2/css/select2.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')}}">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="{{asset('assets/plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css')}}">
    <!-- BS Stepper -->
    <link rel="stylesheet" href="{{asset('assets/plugins/bs-stepper/css/bs-stepper.min.css')}}">
    <!-- iCheck -->
  <link rel="stylesheet" href="{{asset('assets/plugins/icheck-bootstrap/icheck-bootstrap.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('assets/dist/css/adminlte.min.css')}}">
   <!-- DataTables -->
    <link rel="stylesheet" href="{{asset('assets/plugins/fullcalendar/main.css')}}">
    <!-- dropzonejs -->
    <link rel="stylesheet" href="{{asset('assets/plugins/dropzone/min/dropzone.min.css')}}">

    <link rel="stylesheet" href="{{asset('assets/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css')}}">
  <link rel="stylesheet" href="{{asset('assets/plugins/datatables-responsive/css/responsive.bootstrap4.min.css')}}">
  <link rel="stylesheet" href="{{asset('assets/plugins/datatables-buttons/css/buttons.bootstrap4.min.css')}}">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="{{asset('assets/plugins/overlayScrollbars/css/OverlayScrollbars.min.css')}}">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="{{asset('assets/plugins/daterangepicker/daterangepicker.css')}}">
  <!-- summernote -->
  <link rel="stylesheet" href="{{asset('assets/plugins/summernote/summernote-bs4.min.css')}}">

    <link rel="shortcut icon" href="{{asset('front/images/favicon.ico')}}" type="image/x-icon">

   <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.css">
    <style>
        td{
            color: black;
        }
        /*.buttons-pdf{*/
        /*    background-color: #ee1f1f;*/
        /*}*/
        .buttons-csv, .buttons-excel{
            display: none;
        }
        .buttons-pdf{
            display: none;
        }
    </style>
</head>
<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">

  <!-- Preloader -->
  <div class="preloader flex-column justify-content-center align-items-center">
    <img class="animation__shake" src="{{asset('assets/dist/img/AdminLTELogo.png')}}" alt="AdminLTELogo" height="60" width="60">
  </div>

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" onclick="goBack()" href="#" role="button"><i class="fas fa-arrow-left"></i></a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Navbar Search -->
      <li class="nav-item">
        <div class="navbar-search-block">
          <form class="form-inline" method="post" action="">
            @csrf
            <div class="input-group input-group-sm">
              <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search" name="search" required="">
              <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                  <i class="fas fa-search"></i>
                </button>
                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                  <i class="fas fa-times"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </li>


      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>

    </ul>
  </nav>
  <!-- /.navbar -->

resources/views/layouts/dashboard/sidebar.blade.php
<!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{route('home')}}" class="brand-link">
      <span class="brand-text font-weight-light pl-4"><strong>Admin</strong></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
            <img src="{{asset('assets/dist/img/user2-160x160.jpg')}}" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">{{Auth::user()->name}}</a>
        </div>
      </div>
    @php

        if(isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on')
        {
          $link = "https";
        }
        else
        {
          $link = "http";

          // Here append the common URL characters.
          $link .= "://";

          // Append the host(domain name, ip) to the URL.
          $link .= $_SERVER['HTTP_HOST'];

          // Append the requested resource location to the URL
          $link .= $_SERVER['REQUEST_URI'];
        }

    @endphp
      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="{{route('home')}}" class="nav-link {{ $link == route('home') ? 'active':'' }}">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                  Tableau de bord
              </p>
            </a>
          </li>
            <li class="nav-item">
                <a href="{{route('admin.leads')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        Pistes
                    </p>
                </a>
            </li>
            <li class="nav-item">
                <a href="{{route('general.settings')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        Réglages Généraux
                    </p>
                </a>
            </li>
            <li class="nav-item">
                <a href="{{route('general.about')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        À propos de nous
                    </p>
                </a>
            </li>
            <li class="nav-item">
                <a href="{{route('general.team')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        NOTRE EQUIPE
                    </p>
                </a>
            </li>
            <li class="nav-item">
                <a href="{{route('general.why')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        POURQUOI NOUS
                    </p>
                </a>
            </li>
            <li class="nav-item">
                <a href="{{route('portfolio.index')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        Projets
                    </p>
                </a>
            </li>
<!--            <li class="nav-item">
                <a href="{{route('general.services')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        Services
                    </p>
                </a>
            </li>-->
            <li class="nav-item">
                <a href="{{route('general.prices')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>

                        NOS FORMULES

                    </p>
                </a>
            </li>
            <li class="nav-item">
                <a href="{{route('general.testimonial')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        Témoignage
                    </p>
                </a>
            </li>
            <li class="nav-item">
                <a href="#" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        Modèles
                        <i class="right fas fa-angle-left"></i>
                    </p>
                </a>
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="{{route('admin.categories')}}" class="nav-link">
                            <i class="far fa-circle nav-icon"></i>
                            <p>Catégories </p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{{route('admin.templates')}}" class="nav-link">
                            <i class="far fa-circle nav-icon"></i>
                            <p>Modèles</p>
                        </a>
                    </li>
                </ul>
            </li>
<!--
            <li class="nav-item">
                <a href="{{route('admin.payments')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        Paiements
                    </p>
                </a>
            </li>
            <li class="nav-item">
                <a href="{{route('general.headings')}}" class="nav-link">
                    <i class="nav-icon fas fa-ellipsis-h"></i>
                    <p>
                        En-têtes
                    </p>
                </a>
            </li>
-->


           <li class="nav-item">
            <a href="{{route('logout')}}" onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();"
                                         class="nav-link">
              <i class="nav-icon fas fa-sign-out-alt"></i>
              <p>
                Log Out
              </p>
            </a>
            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
              @csrf
            </form>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>